/*****************************************************************************\
  dj600_maps.cpp : Color maps for the DJ600

  Copyright (c) 1996 - 2015, HP Co.
  All rights reserved.

  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions
  are met:
  1. Redistributions of source code must retain the above copyright
     notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright
     notice, this list of conditions and the following disclaimer in the
     documentation and/or other materials provided with the distribution.
  3. Neither the name of HP nor the names of its
     contributors may be used to endorse or promote products derived
     from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
  NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
  TO, PATENT INFRINGEMENT; PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
  OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
  ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
\*****************************************************************************/


// used by many models so no #ifdef here
#include "config.h"
#include "global_types.h"

APDK_BEGIN_NAMESPACE

uint32_t ulMapDJ600_CCM_K[ 9 * 9 * 9 ]=
// DJ600_CCM_K
    {
        226UL, 137UL, 135UL, 132UL, 128UL, 122UL, 111UL, 98UL, 90UL,
        133UL, 133UL, 132UL, 130UL, 125UL, 118UL, 107UL, 96UL, 88UL,
        120UL, 120UL, 118UL, 114UL, 109UL, 101UL, 95UL, 88UL, 80UL,
        92UL, 92UL, 91UL, 89UL, 87UL, 83UL, 79UL, 73UL, 69UL,
        69UL, 69UL, 69UL, 68UL, 67UL, 66UL, 63UL, 61UL, 59UL,
        55UL, 55UL, 55UL, 55UL, 54UL, 53UL, 51UL, 49UL, 47UL,
        41UL, 41UL, 40UL, 40UL, 39UL, 38UL, 37UL, 35UL, 33UL,
        25UL, 25UL, 25UL, 25UL, 24UL, 23UL, 22UL, 21UL, 19UL,
        11UL, 11UL, 11UL, 11UL, 11UL, 10UL, 10UL, 10UL, 9UL,
        136UL, 136UL, 134UL, 132UL, 127UL, 121UL, 110UL, 98UL, 90UL,
        132UL, 132UL, 132UL, 129UL, 124UL, 116UL, 106UL, 95UL, 88UL,
        119UL, 118UL, 116UL, 113UL, 107UL, 100UL, 94UL, 88UL, 80UL,
        92UL, 91UL, 90UL, 89UL, 87UL, 83UL, 78UL, 73UL, 68UL,
        69UL, 69UL, 69UL, 68UL, 67UL, 66UL, 63UL, 61UL, 58UL,
        55UL, 55UL, 55UL, 54UL, 54UL, 53UL, 51UL, 49UL, 47UL,
        40UL, 40UL, 40UL, 40UL, 39UL, 38UL, 36UL, 35UL, 33UL,
        25UL, 25UL, 25UL, 24UL, 23UL, 23UL, 22UL, 21UL, 19UL,
        11UL, 11UL, 11UL, 11UL, 10UL, 10UL, 10UL, 10UL, 9UL,
        132UL, 132UL, 131UL, 128UL, 124UL, 115UL, 105UL, 95UL, 88UL,
        129UL, 129UL, 127UL, 124UL, 120UL, 112UL, 101UL, 94UL, 86UL,
        114UL, 113UL, 112UL, 108UL, 103UL, 96UL, 92UL, 86UL, 78UL,
        89UL, 89UL, 88UL, 87UL, 84UL, 80UL, 76UL, 72UL, 67UL,
        68UL, 68UL, 68UL, 67UL, 66UL, 64UL, 62UL, 60UL, 58UL,
        55UL, 55UL, 54UL, 54UL, 53UL, 52UL, 50UL, 48UL, 46UL,
        40UL, 40UL, 40UL, 39UL, 39UL, 37UL, 36UL, 34UL, 33UL,
        25UL, 25UL, 24UL, 23UL, 23UL, 22UL, 21UL, 20UL, 19UL,
        11UL, 11UL, 11UL, 11UL, 10UL, 10UL, 10UL, 10UL, 9UL,
        124UL, 124UL, 123UL, 119UL, 113UL, 105UL, 97UL, 90UL, 83UL,
        121UL, 120UL, 118UL, 114UL, 109UL, 102UL, 95UL, 88UL, 81UL,
        104UL, 103UL, 102UL, 98UL, 95UL, 92UL, 87UL, 80UL, 74UL,
        84UL, 84UL, 83UL, 82UL, 80UL, 76UL, 73UL, 69UL, 66UL,
        66UL, 66UL, 66UL, 65UL, 64UL, 62UL, 61UL, 59UL, 56UL,
        53UL, 53UL, 53UL, 52UL, 52UL, 50UL, 49UL, 47UL, 45UL,
        39UL, 39UL, 38UL, 37UL, 37UL, 36UL, 35UL, 33UL, 31UL,
        23UL, 23UL, 23UL, 23UL, 22UL, 21UL, 20UL, 19UL, 18UL,
        10UL, 10UL, 10UL, 10UL, 10UL, 10UL, 10UL, 9UL, 9UL,
        108UL, 107UL, 105UL, 103UL, 98UL, 94UL, 88UL, 83UL, 76UL,
        104UL, 104UL, 102UL, 99UL, 95UL, 92UL, 87UL, 81UL, 74UL,
        93UL, 93UL, 92UL, 90UL, 88UL, 84UL, 80UL, 74UL, 69UL,
        77UL, 77UL, 76UL, 75UL, 73UL, 71UL, 68UL, 66UL, 62UL,
        63UL, 63UL, 62UL, 62UL, 61UL, 60UL, 58UL, 56UL, 54UL,
        51UL, 50UL, 50UL, 50UL, 49UL, 48UL, 47UL, 45UL, 43UL,
        36UL, 36UL, 36UL, 36UL, 35UL, 34UL, 33UL, 31UL, 29UL,
        22UL, 22UL, 21UL, 21UL, 21UL, 20UL, 19UL, 18UL, 16UL,
        10UL, 10UL, 10UL, 10UL, 10UL, 10UL, 9UL, 9UL, 9UL,
        92UL, 92UL, 91UL, 89UL, 87UL, 83UL, 79UL, 73UL, 69UL,
        90UL, 89UL, 89UL, 88UL, 85UL, 81UL, 77UL, 72UL, 68UL,
        82UL, 82UL, 81UL, 80UL, 77UL, 74UL, 71UL, 68UL, 64UL,
        69UL, 69UL, 69UL, 68UL, 67UL, 66UL, 63UL, 61UL, 59UL,
        59UL, 59UL, 59UL, 58UL, 57UL, 56UL, 54UL, 53UL, 50UL,
        48UL, 48UL, 47UL, 47UL, 46UL, 45UL, 43UL, 41UL, 39UL,
        34UL, 34UL, 33UL, 33UL, 32UL, 31UL, 30UL, 28UL, 27UL,
        20UL, 20UL, 19UL, 19UL, 19UL, 18UL, 17UL, 16UL, 14UL,
        10UL, 9UL, 9UL, 9UL, 9UL, 9UL, 9UL, 9UL, 8UL,
        78UL, 78UL, 77UL, 75UL, 73UL, 71UL, 68UL, 66UL, 62UL,
        76UL, 76UL, 75UL, 74UL, 73UL, 70UL, 68UL, 65UL, 62UL,
        70UL, 70UL, 70UL, 69UL, 68UL, 66UL, 64UL, 62UL, 59UL,
        63UL, 63UL, 63UL, 62UL, 61UL, 60UL, 58UL, 56UL, 54UL,
        54UL, 54UL, 54UL, 53UL, 53UL, 52UL, 50UL, 48UL, 46UL,
        43UL, 43UL, 43UL, 42UL, 41UL, 40UL, 39UL, 37UL, 35UL,
        30UL, 30UL, 30UL, 29UL, 29UL, 28UL, 27UL, 25UL, 23UL,
        17UL, 17UL, 16UL, 16UL, 16UL, 15UL, 14UL, 13UL, 11UL,
        9UL, 9UL, 9UL, 9UL, 9UL, 8UL, 8UL, 7UL, 7UL,
        66UL, 66UL, 66UL, 65UL, 64UL, 63UL, 61UL, 59UL, 56UL,
        66UL, 66UL, 65UL, 64UL, 63UL, 62UL, 60UL, 58UL, 55UL,
        62UL, 62UL, 62UL, 61UL, 60UL, 59UL, 58UL, 55UL, 53UL,
        56UL, 56UL, 56UL, 56UL, 55UL, 54UL, 52UL, 50UL, 48UL,
        49UL, 49UL, 48UL, 48UL, 47UL, 46UL, 44UL, 43UL, 40UL,
        37UL, 37UL, 37UL, 37UL, 36UL, 35UL, 34UL, 33UL, 30UL,
        26UL, 26UL, 25UL, 25UL, 25UL, 23UL, 22UL, 21UL, 20UL,
        13UL, 13UL, 13UL, 12UL, 12UL, 11UL, 11UL, 11UL, 10UL,
        7UL, 7UL, 7UL, 7UL, 7UL, 7UL, 7UL, 7UL, 6UL,
        58UL, 58UL, 58UL, 57UL, 56UL, 55UL, 53UL, 52UL, 49UL,
        58UL, 57UL, 57UL, 56UL, 55UL, 54UL, 53UL, 51UL, 49UL,
        55UL, 55UL, 54UL, 54UL, 53UL, 52UL, 50UL, 49UL, 46UL,
        50UL, 50UL, 49UL, 49UL, 48UL, 47UL, 45UL, 44UL, 41UL,
        42UL, 42UL, 41UL, 41UL, 40UL, 39UL, 38UL, 36UL, 34UL,
        32UL, 32UL, 31UL, 31UL, 30UL, 30UL, 28UL, 27UL, 25UL,
        21UL, 21UL, 21UL, 20UL, 20UL, 19UL, 18UL, 17UL, 15UL,
        10UL, 10UL, 10UL, 10UL, 10UL, 10UL, 10UL, 9UL, 9UL,
        6UL, 6UL, 6UL, 6UL, 6UL, 6UL, 6UL, 6UL, 0
    };
uint32_t ulMapDJ600_CCM_CMY[ 9 * 9 * 9 ]=
    // DJ600_CCM_CMY
    {
        3789676800UL, 2159472384UL, 1369304832UL, 831057920UL, 443871744UL, 191099648UL, 39120640UL, 4910336UL, 4585216UL,
        3699167488UL, 2137910016UL, 1332802048UL, 761852160UL, 408810240UL, 156103424UL, 21295104UL, 4253440UL, 3929600UL,
        3494949376UL, 2403977216UL, 1313134080UL, 725868032UL, 373351936UL, 138080256UL, 20313344UL, 3468032UL, 3339008UL,
        3308362240UL, 2486086656UL, 1479195392UL, 723895552UL, 371774208UL, 170517248UL, 36236288UL, 2746112UL, 2747904UL,
        3206385408UL, 2417728256UL, 1645915136UL, 957921280UL, 471253760UL, 219795200UL, 52158464UL, 2024704UL, 2222592UL,
        3138358784UL, 2416875520UL, 1745725184UL, 1124971008UL, 655080192UL, 286049024UL, 101634816UL, 1237504UL, 1632256UL,
        3087372544UL, 2432997888UL, 1812244736UL, 1241755904UL, 805550592UL, 436453120UL, 151243264UL, 17291520UL, 1106432UL,
        2952827392UL, 2348848384UL, 1811980544UL, 1291888128UL, 939569152UL, 587248896UL, 302038016UL, 67225856UL, 579584UL,
        2835387136UL, 2332071936UL, 1828756992UL, 1358995968UL, 1023452928UL, 738242304UL, 469808896UL, 218153216UL, 53248UL,
        4092890368UL, 3118959616UL, 1893638400UL, 1104588544UL, 499235328UL, 178898688UL, 26462464UL, 8503296UL, 7259136UL,
        4001661696UL, 2155905024UL, 1670552320UL, 1066312192UL, 612410368UL, 292463872UL, 90351360UL, 5743360UL, 5354752UL,
        3612442112UL, 2472181504UL, 1616546048UL, 1029477120UL, 626563072UL, 323984640UL, 105292544UL, 4301568UL, 4239616UL,
        3459346944UL, 2520282624UL, 1731755264UL, 1010271744UL, 607751680UL, 339384064UL, 137797632UL, 3449856UL, 3453440UL,
        3273419264UL, 2468507392UL, 1814263808UL, 1176796672UL, 656704256UL, 371756288UL, 170432768UL, 19374592UL, 2798336UL,
        3272567808UL, 2467524352UL, 1846834688UL, 1293253120UL, 806780672UL, 404193536UL, 186224128UL, 52140800UL, 2011904UL,
        3271913216UL, 2449960704UL, 1862759424UL, 1376352768UL, 940211968UL, 537690624UL, 218924032UL, 51418112UL, 1355264UL,
        3170923264UL, 2365616128UL, 1845523200UL, 1409317632UL, 1023508736UL, 671319296UL, 352552448UL, 84249600UL, 698112UL,
        3036707328UL, 2365617408UL, 1879078912UL, 1476427264UL, 1124107264UL, 822119680UL, 520131072UL, 251696384UL, 40448UL,
        3991889152UL, 3304284928UL, 2280153856UL, 1407741184UL, 736064768UL, 231570688UL, 12618240UL, 11374080UL, 9539072UL,
        3952630272UL, 2627495168UL, 1905878784UL, 1285254656UL, 747859968UL, 344354560UL, 108754176UL, 7437056UL, 7112704UL,
        3679670272UL, 2472499712UL, 1616928768UL, 1164404992UL, 727936000UL, 391998720UL, 139817728UL, 5208064UL, 5276416UL,
        3660795136UL, 2570737408UL, 1832803072UL, 1144872960UL, 725575424UL, 423652352UL, 171864576UL, 3962880UL, 4096768UL,
        3558689024UL, 2586072320UL, 1931958528UL, 1327979264UL, 791175424UL, 439052288UL, 187461376UL, 19691008UL, 3310336UL,
        3507505920UL, 2601801216UL, 1964333568UL, 1444371456UL, 924344320UL, 505045504UL, 236742912UL, 52392448UL, 2457856UL,
        3523629056UL, 2617857536UL, 1963481600UL, 1477074176UL, 1040933120UL, 621634304UL, 286156288UL, 85093888UL, 1605376UL,
        3439351040UL, 2566936832UL, 1895848192UL, 1476418560UL, 1107321088UL, 738288896UL, 385967616UL, 134572544UL, 752640UL,
        3254804480UL, 2483052288UL, 1929403904UL, 1560305664UL, 1224762624UL, 905996544UL, 570452992UL, 285241088UL, 30720UL,
        3924050432UL, 3203088384UL, 2229485568UL, 1305885696UL, 701841920UL, 265570304UL, 30233088UL, 12475392UL, 11428608UL,
        3969464832UL, 2745255168UL, 2057455872UL, 1335576576UL, 815483648UL, 412503040UL, 126767616UL, 8673536UL, 8479488UL,
        3848025344UL, 2657632256UL, 1852655616UL, 1248676352UL, 812535296UL, 443109120UL, 157504000UL, 6182912UL, 6185472UL,
        3711053824UL, 2537175296UL, 1849769984UL, 1145324544UL, 793266688UL, 474435328UL, 189092608UL, 4479232UL, 4612864UL,
        3659280384UL, 2602842624UL, 1982414848UL, 1395343872UL, 841762304UL, 506350336UL, 221270016UL, 19945472UL, 3564288UL,
        3675271936UL, 2652191744UL, 2065121792UL, 1494762496UL, 1008289280UL, 572213248UL, 270421248UL, 69293568UL, 2647040UL,
        3708237312UL, 2752134912UL, 2081047552UL, 1544176896UL, 1108035584UL, 688670976UL, 353258240UL, 101864192UL, 1664000UL,
        3724622848UL, 2751546112UL, 2063615744UL, 1543522048UL, 1157646336UL, 805390848UL, 436292608UL, 168054784UL, 680960UL,
        3422569728UL, 2617264384UL, 2030062336UL, 1610632192UL, 1258310656UL, 956321536UL, 637554688UL, 335565568UL, 23552UL,
        3956942848UL, 3118802688UL, 2145593088UL, 1322853632UL, 718414848UL, 299182336UL, 30683136UL, 12990976UL, 12402944UL,
        4019397376UL, 2795384064UL, 2074488832UL, 1419718656UL, 848965632UL, 463221504UL, 161035776UL, 9321472UL, 9323776UL,
        3999211264UL, 2792106496UL, 1987326208UL, 1366504192UL, 846279936UL, 477312768UL, 175061504UL, 6897152UL, 6965248UL,
        3895991296UL, 2722244352UL, 2018192896UL, 1330459136UL, 843985920UL, 508573952UL, 223230976UL, 4931584UL, 5130240UL,
        3659275008UL, 2636522752UL, 2032937728UL, 1395601152UL, 808464384UL, 540292608UL, 271923712UL, 20332544UL, 3819520UL,
        3658555136UL, 2736203520UL, 2132422144UL, 1545286144UL, 1025258496UL, 605893888UL, 304101632UL, 69353472UL, 2705664UL,
        3775406848UL, 2869701376UL, 2181902592UL, 1628255232UL, 1141716480UL, 739128832UL, 370096128UL, 101858816UL, 1722880UL,
        3858835456UL, 2936221696UL, 2181116672UL, 1644246784UL, 1191261952UL, 838940672UL, 486684928UL, 184826880UL, 674304UL,
        3623890688UL, 2818585856UL, 2147498496UL, 1660960000UL, 1275083776UL, 973093888UL, 671104512UL, 369115136UL, 17920UL,
        3956413952UL, 3034584320UL, 2078414080UL, 1339954432UL, 785847296UL, 349508352UL, 47585280UL, 13443584UL, 12986624UL,
        4002288640UL, 2845382912UL, 2090998784UL, 1486888192UL, 949820672UL, 479927552UL, 161226752UL, 9774336UL, 9776896UL,
        4015853824UL, 2960005632UL, 2071272704UL, 1467424512UL, 947265792UL, 494215680UL, 192291840UL, 7415552UL, 7549696UL,
        3996848128UL, 2907248896UL, 2152799488UL, 1448354304UL, 945169408UL, 542516736UL, 240592896UL, 22358784UL, 5649408UL,
        3810660352UL, 2838370048UL, 2201230336UL, 1513562112UL, 943203328UL, 557458944UL, 289220608UL, 37563392UL, 4142080UL,
        3759280384UL, 2769819392UL, 2166103040UL, 1545412096UL, 1008673280UL, 572662272UL, 321201664UL, 86387456UL, 2896896UL,
        3808957696UL, 2920094208UL, 2265915136UL, 1678713344UL, 1141842944UL, 739255296UL, 386999552UL, 135538944UL, 1782784UL,
        3942717440UL, 3036945920UL, 2315592192UL, 1728325120UL, 1208100352UL, 855778816UL, 520365824UL, 218442240UL, 668672UL,
        3841990400UL, 3003130880UL, 2281711616UL, 1728064512UL, 1308634624UL, 989867520UL, 671100160UL, 385887744UL, 13056UL,
        3939174656UL, 3034580992UL, 2095319040UL, 1407518720UL, 870254592UL, 416941824UL, 81200640UL, 13570304UL, 13441536UL,
        4001957888UL, 2861960448UL, 2107576064UL, 1537412864UL, 1017253632UL, 580914944UL, 194842368UL, 10163456UL, 10231296UL,
        4015720448UL, 3010268672UL, 2104823808UL, 1517949184UL, 1048187136UL, 595137024UL, 225972992UL, 7739136UL, 7872768UL,
        4013754112UL, 3075149312UL, 2253721600UL, 1549406976UL, 1046156288UL, 609948928UL, 257693184UL, 22812928UL, 6169088UL,
        3978758144UL, 3073576192UL, 2335838208UL, 1597903616UL, 1044256256UL, 608179968UL, 289478656UL, 37951744UL, 4596480UL,
        3944089600UL, 3038579968UL, 2334396416UL, 1663439360UL, 1076302848UL, 640161536UL, 321525760UL, 86776576UL, 3219968UL,
        3909683200UL, 3020819712UL, 2349994240UL, 1712526080UL, 1158878208UL, 722736384UL, 370546176UL, 135862784UL, 1974784UL,
        3993046272UL, 3104117248UL, 2433160192UL, 1795560960UL, 1275468032UL, 872814848UL, 520558848UL, 218634752UL, 794624UL,
        3959427840UL, 3154122240UL, 2415925248UL, 1828723712UL, 1342185216UL, 1006641152UL, 687873792UL, 385883904UL, 8704UL,
        3972661760UL, 3084779520UL, 2196045824UL, 1524957184UL, 1021444096UL, 601882624UL, 249364480UL, 47579904UL, 13831168UL,
        4018667520UL, 2945909760UL, 2208498944UL, 1655244032UL, 1152058624UL, 732693760UL, 329778432UL, 44303872UL, 10686208UL,
        4032561152UL, 3094086656UL, 2239169792UL, 1669334272UL, 1182991872UL, 746718720UL, 360711936UL, 41814272UL, 8065536UL,
        4030726144UL, 3226338304UL, 2388198912UL, 1667172096UL, 1164117760UL, 744818688UL, 375719936UL, 40110592UL, 6492928UL,
        4029350144UL, 3275162880UL, 2453603840UL, 1749288704UL, 1145374976UL, 726075904UL, 357042688UL, 55118592UL, 4985856UL,
        4011524352UL, 3273852160UL, 2519270912UL, 1798047744UL, 1194264576UL, 724503040UL, 372312576UL, 87166208UL, 3609600UL,
        4010672384UL, 3272869120UL, 2568488960UL, 1880754176UL, 1260062976UL, 807078400UL, 421202688UL, 119409920UL, 2298624UL,
        4026729216UL, 3255240192UL, 2550728704UL, 1913260288UL, 1326057984UL, 889784832UL, 503974400UL, 185273088UL, 1052928UL,
        4009756928UL, 3288336896UL, 2583694080UL, 1962937600UL, 1459621632UL, 1056968960UL, 704647680UL, 369103104UL, 4608UL,
        4040097792UL, 3236167680UL, 2465136640UL, 1827536896UL, 1307246592UL, 904396800UL, 551878656UL, 266403840UL, 14221312UL,
        4035969024UL, 3366453248UL, 2579103744UL, 1891631104UL, 1354956800UL, 952172544UL, 566034432UL, 263651328UL, 11141120UL,
        4033019904UL, 3396730880UL, 2592473088UL, 1905328128UL, 1402404864UL, 999751680UL, 580255744UL, 261160960UL, 8716288UL,
        4031184896UL, 3461611520UL, 2657222656UL, 1936457728UL, 1383071744UL, 980615168UL, 561250304UL, 225574912UL, 6946816UL,
        4029874176UL, 3527147520UL, 2739273728UL, 2051932160UL, 1397751808UL, 945029120UL, 542441472UL, 206897152UL, 5505024UL,
        4028891136UL, 3609788416UL, 2855272448UL, 2151022592UL, 1429864448UL, 943390720UL, 524025856UL, 188547072UL, 4063232UL,
        4028039168UL, 3743023104UL, 3055484928UL, 2283929600UL, 1545863168UL, 1009057792UL, 539230208UL, 203751424UL, 2752512UL,
        4027252736UL, 3792502784UL, 3155099648UL, 2400190464UL, 1729232896UL, 1142030336UL, 655491072UL, 252837888UL, 1376256UL,
        4026531840UL, 3573547008UL, 2952790016UL, 2281701376UL, 1694498816UL, 1191182336UL, 754974720UL, 369098752UL, 0
    };

APDK_END_NAMESPACE
